jQuery(document).ready(function($) {
	
	// Toggle mobile nav open
	$('#navicon').click(function() {
		$(this).toggleClass('open');
		$('body').toggleClass('show-nav');
	});
	
	// Toggle sub nav open
	$('.menu-arrow').click(function() {
		$(this).parent('.menu-item').toggleClass('expanded');
	});
	
	// Masonary blog layout
	$('posts-wrap.blog-masonary').masonry({
        // options
        itemSelector: '.post-preview',
        columnWidth: $(this).find('.masonary-grid-sizer')[0],
        gutter: $(this).find('.masonary-gutter-sizer')[0]
    });
    
});